#include "lib/shared.fx"
#include "lib/structs.fx"

SPosCol vsMain0( SPosCol i ) {
	SPosCol o;
	o.pos	= mul( i.pos, mViewProj );
	o.color = i.color * 0.5;
	return o;
}

SPosCol vsMain1( SPosCol i ) {
	SPosCol o;
	o.pos	= mul( i.pos, mViewProj );
	o.color = i.color;
	return o;
}



technique tec11
{
	pass P0 {
		VertexShader = compile vs_1_1 vsMain0();
		PixelShader = NULL;
		CullMode = None;

		ZEnable = False;

		ColorOp[0]	 = SelectArg1;
		ColorArg1[0] = Diffuse;
		AlphaOp[0]	 = SelectArg1;
		AlphaArg1[0] = Diffuse;
		ColorOp[1]	 = Disable;
		AlphaOp[1]	 = Disable;
	}
	pass P1 {
		VertexShader = compile vs_1_1 vsMain1();
		ZEnable = True;
	}
	pass PLast {
		CullMode = <iCull>;
	}
}
